<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.dromara.knowledge.mapper.KnowledgeSchemaFieldMapper">

    <resultMap type="org.dromara.knowledge.domain.KnowledgeSchemaField" id="KnowledgeSchemaFieldResult">
        <result property="id" column="id"/>
        <result property="schemaId" column="schema_id"/>
        <result property="schemaName" column="schema_name"/>
        <result property="name" column="name"/>
        <result property="code" column="code"/>
        <result property="type" column="type"/>
        <result property="comment" column="comment"/>
        <result property="isPk" column="is_pk"/>
        <result property="isRequired" column="is_required"/>
        <result property="isUnique" column="is_unique"/>
        <result property="defaultValue" column="default_value"/>
        <result property="length" column="length"/>
        <result property="scale" column="scale"/>
        <result property="isList" column="is_list"/>
        <result property="isQuery" column="is_query"/>
        <result property="isInsert" column="is_insert"/>
        <result property="isEdit" column="is_edit"/>
        <result property="queryType" column="query_type"/>
        <result property="htmlType" column="html_type"/>
        <result property="dictType" column="dict_type"/>
        <result property="sort" column="sort"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
        <result property="remark" column="remark"/>
    </resultMap>

    <sql id="selectKnowledgeSchemaFieldVo">
        select id,
               schema_id,
               schema_name,
               name,
               code,
               type,
               comment,
               is_pk,
               is_required,
               is_unique,
               default_value,
               length,
               scale,
               is_list,
               is_query,
               is_insert,
               is_edit,
               query_type,
               html_type,
               dict_type,
               sort,
               del_flag,
               create_by,
               create_time,
               update_by,
               update_time,
               remark
        from knowledge_schema_field
    </sql>

</mapper>